import time
import logging
import verboselogs
import coloredlogs

verboselogs.install()

# Create a logger object.
logger = logging.getLogger(__name__)

# By default the install() function installs a handler on the root logger,
# this means that log messages from your code and log messages from the
# libraries that you use will all show up on the terminal.
coloredlogs.install(level='DEBUG')


# If you don't want to see log messages from libraries, you can pass a
# specific logger object to the install() function. In this case only log
# messages originating from that logger will show up on the terminal.
coloredlogs.install(level='DEBUG', logger=logger)

logger.success('Program Started')

# Junk~
while True:
    try:
        logger.info('Nothing to do.')
        time.sleep(1)
    except KeyboardInterrupt:
        break
